[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGetgid

Return real group ID

## Declaration

Source position: bunxh.inc line 50

`function FpGetgid: TGid;`

## Description

FpGetgid returns the real group ID of the currently running process.

## Errors

None.

## See also

FpGetEGid |  | Return effective group ID
FpGetUid |  | Return current user ID
FpGetEUid |  | Return effective user ID
FpGetPid |  | Return current process ID
FpGetPPid |  | Return parent process ID
fpSetUID |  | Set the current user ID
FpSetGid |  | Set the current group ID

## Example

    Program Example18;

    { Program to demonstrate the GetGid and GetEGid functions. }

    Uses BaseUnix;

    begin
     writeln ('Group Id = ',fpgetgid,' Effective group Id = ',fpgetegid);
    end.

Documentation generated on: Feb 26 2014